--------------------------------------------------------------------------------
-- Copyright (c) 1995-2012 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 14.5
--  \   \         Application : sch2hdl
--  /   /         Filename : SDRAM_Conroller.vhf
-- /___/   /\     Timestamp : 05/31/2013 14:50:14
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family xc9500xl -flat -suppress -vhdl G:/CPLD/Projekt/SDRAM-Controller/SDRAM_Conroller.vhf -w G:/CPLD/Projekt/SDRAM-Controller/SDRAM_Conroller.sch
--Design Name: SDRAM_Conroller
--Device: xc9500xl
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FDC_MXILINX_SDRAM_Conroller is
   generic( INIT : bit :=  '0');
   port ( C   : in    std_logic; 
          CLR : in    std_logic; 
          D   : in    std_logic; 
          Q   : out   std_logic);
end FDC_MXILINX_SDRAM_Conroller;

architecture BEHAVIORAL of FDC_MXILINX_SDRAM_Conroller is
   attribute BOX_TYPE   : string ;
   signal XLXN_5 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component FDCP
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : component is "BLACK_BOX";
   
begin
   I_36_55 : GND
      port map (G=>XLXN_5);
   
   U0 : FDCP
   generic map( INIT => INIT)
      port map (C=>C,
                CLR=>CLR,
                D=>D,
                PRE=>XLXN_5,
                Q=>Q);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity X74_174_MXILINX_SDRAM_Conroller is
   port ( CK  : in    std_logic; 
          CLR : in    std_logic; 
          D1  : in    std_logic; 
          D2  : in    std_logic; 
          D3  : in    std_logic; 
          D4  : in    std_logic; 
          D5  : in    std_logic; 
          D6  : in    std_logic; 
          Q1  : out   std_logic; 
          Q2  : out   std_logic; 
          Q3  : out   std_logic; 
          Q4  : out   std_logic; 
          Q5  : out   std_logic; 
          Q6  : out   std_logic);
end X74_174_MXILINX_SDRAM_Conroller;

architecture BEHAVIORAL of X74_174_MXILINX_SDRAM_Conroller is
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   signal CLRB : std_logic;
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component FDC_MXILINX_SDRAM_Conroller
      generic( INIT : bit :=  '0');
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of U0 : label is "U0_5";
   attribute HU_SET of U1 : label is "U1_4";
   attribute HU_SET of U2 : label is "U2_3";
   attribute HU_SET of U3 : label is "U3_2";
   attribute HU_SET of U4 : label is "U4_1";
   attribute HU_SET of U5 : label is "U5_0";
begin
   I_36_85 : INV
      port map (I=>CLR,
                O=>CLRB);
   
   U0 : FDC_MXILINX_SDRAM_Conroller
      port map (C=>CK,
                CLR=>CLRB,
                D=>D1,
                Q=>Q1);
   
   U1 : FDC_MXILINX_SDRAM_Conroller
      port map (C=>CK,
                CLR=>CLRB,
                D=>D2,
                Q=>Q2);
   
   U2 : FDC_MXILINX_SDRAM_Conroller
      port map (C=>CK,
                CLR=>CLRB,
                D=>D3,
                Q=>Q3);
   
   U3 : FDC_MXILINX_SDRAM_Conroller
      port map (C=>CK,
                CLR=>CLRB,
                D=>D4,
                Q=>Q4);
   
   U4 : FDC_MXILINX_SDRAM_Conroller
      port map (C=>CK,
                CLR=>CLRB,
                D=>D5,
                Q=>Q5);
   
   U5 : FDC_MXILINX_SDRAM_Conroller
      port map (C=>CK,
                CLR=>CLRB,
                D=>D6,
                Q=>Q6);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity LD4_MXILINX_SDRAM_Conroller is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          D2 : in    std_logic; 
          D3 : in    std_logic; 
          G  : in    std_logic; 
          Q0 : out   std_logic; 
          Q1 : out   std_logic; 
          Q2 : out   std_logic; 
          Q3 : out   std_logic);
end LD4_MXILINX_SDRAM_Conroller;

architecture BEHAVIORAL of LD4_MXILINX_SDRAM_Conroller is
   attribute BOX_TYPE   : string ;
   component LD
      generic( INIT : bit :=  '0');
      port ( D : in    std_logic; 
             G : in    std_logic; 
             Q : out   std_logic);
   end component;
   attribute BOX_TYPE of LD : component is "BLACK_BOX";
   
begin
   U0 : LD
      port map (D=>D0,
                G=>G,
                Q=>Q0);
   
   U1 : LD
      port map (D=>D1,
                G=>G,
                Q=>Q1);
   
   U2 : LD
      port map (D=>D2,
                G=>G,
                Q=>Q2);
   
   U3 : LD
      port map (D=>D3,
                G=>G,
                Q=>Q3);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity SDRAM_Conroller is
   port ( XLXN_1   : in    std_logic; 
          XLXN_2   : in    std_logic; 
          XLXN_3   : in    std_logic; 
          XLXN_4   : in    std_logic; 
          XLXN_5   : in    std_logic; 
          XLXN_6   : in    std_logic; 
          XLXN_7   : in    std_logic; 
          XLXN_8   : in    std_logic; 
          XLXN_9   : in    std_logic; 
          XLXN_10  : in    std_logic; 
          XLXN_98  : in    std_logic; 
          XLXN_99  : in    std_logic; 
          XLXN_100 : in    std_logic; 
          XLXN_101 : in    std_logic; 
          XLXN_105 : in    std_logic; 
          XLXN_106 : in    std_logic; 
          XLXN_43  : out   std_logic; 
          XLXN_44  : out   std_logic; 
          XLXN_45  : out   std_logic; 
          XLXN_46  : out   std_logic; 
          XLXN_47  : out   std_logic; 
          XLXN_48  : out   std_logic; 
          XLXN_49  : out   std_logic; 
          XLXN_50  : out   std_logic; 
          XLXN_51  : out   std_logic; 
          XLXN_52  : out   std_logic; 
          XLXN_53  : out   std_logic; 
          XLXN_55  : out   std_logic; 
          XLXN_56  : out   std_logic; 
          XLXN_108 : out   std_logic; 
          XLXN_109 : out   std_logic; 
          XLXN_110 : out   std_logic; 
          XLXN_111 : out   std_logic; 
          XLXN_121 : out   std_logic);
   attribute LOC : string ;
   attribute LOC of XLXN_1 : signal is "1";
end SDRAM_Conroller;

architecture BEHAVIORAL of SDRAM_Conroller is
   attribute HU_SET     : string ;
   attribute BOX_TYPE   : string ;
   signal XLXN_102       : std_logic;
   signal XLXN_104       : std_logic;
   signal XLXN_107       : std_logic;
   signal XLXN_117       : std_logic;
   signal XLXN_118       : std_logic;
   signal XLXN_120       : std_logic;
   signal XLXN_110_DUMMY : std_logic;
   component LD4_MXILINX_SDRAM_Conroller
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             D2 : in    std_logic; 
             D3 : in    std_logic; 
             G  : in    std_logic; 
             Q0 : out   std_logic; 
             Q1 : out   std_logic; 
             Q2 : out   std_logic; 
             Q3 : out   std_logic);
   end component;
   
   component X74_174_MXILINX_SDRAM_Conroller
      port ( CK  : in    std_logic; 
             CLR : in    std_logic; 
             D1  : in    std_logic; 
             D2  : in    std_logic; 
             D3  : in    std_logic; 
             D4  : in    std_logic; 
             D5  : in    std_logic; 
             D6  : in    std_logic; 
             Q1  : out   std_logic; 
             Q2  : out   std_logic; 
             Q3  : out   std_logic; 
             Q4  : out   std_logic; 
             Q5  : out   std_logic; 
             Q6  : out   std_logic);
   end component;
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component XNOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XNOR2 : component is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component LD
      generic( INIT : bit :=  '0');
      port ( D : in    std_logic; 
             G : in    std_logic; 
             Q : out   std_logic);
   end component;
   attribute BOX_TYPE of LD : component is "BLACK_BOX";
   
   attribute HU_SET of Pin2 : label is "Pin2_6";
   attribute HU_SET of XLXI_2 : label is "XLXI_2_7";
   attribute HU_SET of XLXI_3 : label is "XLXI_3_8";
   attribute HU_SET of XLXI_15 : label is "XLXI_15_9";
begin
   XLXN_110 <= XLXN_110_DUMMY;
   Pin2 : LD4_MXILINX_SDRAM_Conroller
      port map (D0=>XLXN_1,
                D1=>XLXN_2,
                D2=>XLXN_3,
                D3=>XLXN_4,
                G=>XLXN_5,
                Q0=>XLXN_43,
                Q1=>XLXN_44,
                Q2=>XLXN_45,
                Q3=>XLXN_46);
   
   XLXI_2 : LD4_MXILINX_SDRAM_Conroller
      port map (D0=>XLXN_6,
                D1=>XLXN_7,
                D2=>XLXN_8,
                D3=>XLXN_9,
                G=>XLXN_5,
                Q0=>XLXN_47,
                Q1=>XLXN_48,
                Q2=>XLXN_49,
                Q3=>XLXN_50);
   
   XLXI_3 : LD4_MXILINX_SDRAM_Conroller
      port map (D0=>XLXN_1,
                D1=>XLXN_2,
                D2=>XLXN_3,
                D3=>XLXN_4,
                G=>XLXN_10,
                Q0=>XLXN_51,
                Q1=>XLXN_52,
                Q2=>XLXN_53,
                Q3=>XLXN_55);
   
   XLXI_15 : X74_174_MXILINX_SDRAM_Conroller
      port map (CK=>XLXN_105,
                CLR=>XLXN_106,
                D1=>XLXN_98,
                D2=>XLXN_102,
                D3=>XLXN_99,
                D4=>XLXN_104,
                D5=>XLXN_100,
                D6=>XLXN_101,
                Q1=>XLXN_102,
                Q2=>XLXN_120,
                Q3=>XLXN_104,
                Q4=>XLXN_118,
                Q5=>XLXN_117,
                Q6=>XLXN_107);
   
   XLXI_16 : OR2
      port map (I0=>XLXN_110_DUMMY,
                I1=>XLXN_117,
                O=>XLXN_111);
   
   XLXI_17 : XNOR2
      port map (I0=>XLXN_120,
                I1=>XLXN_102,
                O=>XLXN_110_DUMMY);
   
   XLXI_18 : XNOR2
      port map (I0=>XLXN_118,
                I1=>XLXN_104,
                O=>XLXN_109);
   
   XLXI_19 : INV
      port map (I=>XLXN_107,
                O=>XLXN_108);
   
   XLXI_20 : INV
      port map (I=>XLXN_105,
                O=>XLXN_121);
   
   XLXI_21 : LD
      port map (D=>XLXN_6,
                G=>XLXN_10,
                Q=>XLXN_56);
   
end BEHAVIORAL;


